<template>
  <section
    id="concepts-summary"
    class="px-4 py-20 bg-gray-200 text-center md:px-8 lg:py-32 xl:px-32"
  >
    <header class="xl:mx-16 xl:px-32">
      <h2 class="text-red-500">{{ heading }}</h2>
    </header>
    <div class="m-auto mt-8 lg:max-w-limit">
      <div class="-my-6 flex flex-wrap justify-center md:-m-6">
        <ConceptBox
          v-for="item in items"
          :key="item.id"
          :id="item.id"
          :name="item.name"
          :icon="item.icon"
        />
      </div>
    </div>
  </section>
</template>

<script>
import ConceptBox from '~/components/common/ConceptBox.vue';

export default {
  name: 'HomeConceptsSummary',
  components: {
    ConceptBox,
  },
  props: {
    heading: String,
    items: Array,
  },
};
</script>